Name:		javatari
Version:	4.1
Release:	%mkrel 1
License:	AGPLv3
#Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Emulators
URL:		http://javatari.org/java/
Source0:	%{name}.jar
Source1:	%{name}.png
Summary:	 A multiplayer Atari 2600 emulator written in pure Java using no libs.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description
-Client-Server multiplayer mode. Runs great in low-latency networks such as LANs.
-Drag&Drop and Copy&Paste of ROM files or URLs. Very easy to try ROMs from websites!
-Scanlines and TV screen emulation modes.
-Real Atari console user interface.


%prep

#%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp %SOURCE0 %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar %{name}.jar 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=Javatari
GenericName=Atari 2600 Emulator in Java!
Comment=%{summary}
StartupNotify=false
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF


%files
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Oct 04 2016 adrianomorselli <adrianomorselli> 4.1-1uplos2016
- rebuild

* Wed Jan 20 2016  Agent Smith <ruidobranco@yahoo.com.br> 4.1-1pclos2016
- Created the package javatari-4.1-1pclos2014.noarch.rpm, with latest source.
